generate-data:
  image: python:3.11-bookworm
  stage: build
  only:
    - schedules
    - web
  before_script:
    - pip install -r requirements.txt
  script:
    - python index.py data
    - git config user.email "f.erdmann@reedu.de"
    - git config user.name "ci-bot"
    - git add data/*
    - git remote add gitlab_ci_origin https://oauth2:$ACCESS_TOKEN@gitlab.opencode.de/smart-city-muenster/klimadashboard-muenster/ms-buildings-parser.git
    - "git commit -m 'ci: update ms buildings data' --no-verify"
    - git push gitlab_ci_origin HEAD:main
